diff tests/test-convert-git @ 5233:aea35488ea66

merge with crew-stable
author Benoit Boissinot <benoit.boissinot@ens-lyon.org>
date Fri, 31 Aug 2007 22:31:43 +0200
parents 5c2ca6d6ab21
children 88e931f74e8b
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-convert-git	Fri Aug 31 22:31:43 2007 +0200
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+"$TESTDIR/hghave" git || exit 80
+
+echo "[extensions]" >> $HGRCPATH
+echo "convert=" >> $HGRCPATH
+
+mkdir git-repo
+cd git-repo
+git init-db >/dev/null 2>/dev/null
+echo a > a
+git add a
+git commit -m t1 >/dev/null 2>/dev/null || echo "git commit error"
+echo b >> a
+git commit -a -m t2 >/dev/null || echo "git commit error"
+cd ..
+
+hg convert git-repo
+